| OpenCV 3.4.3 Open Source Computer Vision

Public Types | Public Member Functions | List of all members
cv::flann::Index_< T > Class Template Reference
Clustering and Search in Multi-Dimensional Spaces

`#include "flann.hpp"`

## Public Types
typedef L2< T >::ResultType | DistanceType
typedef L2< T >::ElementType | ElementType

## Public Member Functions
| Index_ (const Mat &dataset, const ::cvflann::IndexParams &params)
| ~Index_ ()
const ::cvflann::IndexParams * | getIndexParameters ()
::cvflann::IndexParams | getParameters ()
void | knnSearch (const std::vector< ElementType > &query, std::vector< int > &indices, std::vector< DistanceType > &dists, int knn, const ::cvflann::SearchParams &searchParams)
void | knnSearch (const Mat &queries, Mat &indices, Mat &dists, int knn, const ::cvflann::SearchParams &searchParams)
int | radiusSearch (const std::vector< ElementType > &query, std::vector< int > &indices, std::vector< DistanceType > &dists, DistanceType radius, const ::cvflann::SearchParams &searchParams)
int | radiusSearch (const Mat &query, Mat &indices, Mat &dists, DistanceType radius, const ::cvflann::SearchParams &searchParams)
void | save (String filename)
int | size () const
int | veclen () const

## Detailed Description

### template<typename T>
class cv::flann::Index_< T >

Deprecated:
  Use GenericIndex class instead

## Member Typedef Documentation

## § DistanceType

template<typename T >

typedef L2<T>::ResultType cv::flann::Index_< T >::DistanceType

## § ElementType

template<typename T >

typedef L2<T>::ElementType cv::flann::Index_< T >::ElementType

## Constructor & Destructor Documentation

## § Index_()

template<typename T >

cv::flann::Index_< T >::Index_ | ( | const Mat & | dataset,
|  | const ::cvflann::IndexParams & | params
| ) |  |
| inline

## § ~Index_()

template<typename T >

cv::flann::Index_< T >::~Index_ | ( |  | ) |
| inline

## Member Function Documentation

## § getIndexParameters()

template<typename T >

const ::cvflann::IndexParams* cv::flann::Index_< T >::getIndexParameters | ( |  | ) |
| inline

## § getParameters()

template<typename T >

::cvflann::IndexParams cv::flann::Index_< T >::getParameters | ( |  | ) |
| inline

## § knnSearch() [1/2]

template<typename T >

void cv::flann::Index_< T >::knnSearch | ( | const std::vector< ElementType > & | query,
|  | std::vector< int > & | indices,
|  | std::vector< DistanceType > & | dists,
|  | int | knn,
|  | const ::cvflann::SearchParams & | searchParams
| ) |  |
| inline

## § knnSearch() [2/2]

template<typename T >

void cv::flann::Index_< T >::knnSearch | ( | const Mat & | queries,
|  | Mat & | indices,
|  | Mat & | dists,
|  | int | knn,
|  | const ::cvflann::SearchParams & | searchParams
| ) |  |
| inline

## § radiusSearch() [1/2]

template<typename T >

int cv::flann::Index_< T >::radiusSearch | ( | const std::vector< ElementType > & | query,
|  | std::vector< int > & | indices,
|  | std::vector< DistanceType > & | dists,
|  | DistanceType | radius,
|  | const ::cvflann::SearchParams & | searchParams
| ) |  |
| inline

## § radiusSearch() [2/2]

template<typename T >

int cv::flann::Index_< T >::radiusSearch | ( | const Mat & | query,
|  | Mat & | indices,
|  | Mat & | dists,
|  | DistanceType | radius,
|  | const ::cvflann::SearchParams & | searchParams
| ) |  |
| inline

## § save()

template<typename T >

void cv::flann::Index_< T >::save | ( | String | filename | ) |
| inline

## § size()

template<typename T >

int cv::flann::Index_< T >::size | ( |  | ) | const
| inline

## § veclen()

template<typename T >

int cv::flann::Index_< T >::veclen | ( |  | ) | const
| inline

The documentation for this class was generated from the following file:

- flann/include/opencv2/flann.hpp